Skip to main content
GET
/
spans
/
{span_id}
/
metrics
cURL
curl --request GET \
  --url https://api.opper.ai/v2/spans/{span_id}/metrics \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total_count": 123
  },
  "data": [
    {
      "dimension": "<string>",
      "value": 123,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "span_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "comment": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

span_id
string<uuid>
required

The id of the span to list metrics for

Query Parameters

offset
integer
default:0

The offset to start the list from

Required range: x >= 0
limit
integer
default:100

The number of metrics to return

Required range: 1 <= x <= 100

Response

Successful Response

meta
Meta · object
required

Metadata about the response

data
ListSpanMetricsResponse · object[]
required

List of items returned in the response